:root {
    /*************************
     * 鍦ㄨ繖閲屽涓昏鐨勯厤鑹插仛鍑哄畾涔�
     ************************/

    /* 鍦嗚鏍峰紡 */
    --border-radius-mini: 8px;
    --border-radius-small: 16px;
    --border-radius-medium: 24px;
    --border-radius-large: 32px;

    /* 渚ц竟鏍忚彍鍗曞搴� */
    --sidebar-width: 240px;
    /* header楂樺害 */
    --header-height: 68px;

    --bs-purple: #926dde;
    --bs-purple-hover: #a282e3;
    --bs-pink: #f96197;
    --bs-pink-hover: #fa75a4;
    --bs-yellow: #fcc525;
    --bs-yellow-hover: #fdd04d;
    --bs-teal: #33cabb;
    --bs-teal-hover: #52d3c7;
    --bs-cyan: #57c7d4;
    --bs-cyan-hover: #77d2dc;
    --bs-brown: #8d6658;
    --bs-brown-hover: #9d7162;
    --bs-indigo: #6610f2;
    --bs-indigo-hover: #7516F4;
    --bs-primary: #007bff;
    --bs-primary-hover: #0096FF;
    --bs-success: #15c377; /* green */
    --bs-success-hover: #16d17f;
    --bs-info: #48b0f7; /* blue */
    --bs-info-hover: #65bdf8;
    --bs-warning: #faa64b; /* orange */
    --bs-warning-hover: #fbb264;
    --bs-danger: #f44236; /* red */
    --bs-danger-hover: #fa8181;
    --bs-dark: #212529;
    --bs-dark-hover: #393F45;
    --bs-secondary: #6c757d;
    --bs-secondary-hover: #7a838a;
    --bs-light: #fcfdfe;
    --bs-light-hover: #f9fafb;
    --bs-pre: #f8f9fa;
    --bs-pre-font: #2f6f9f;
    --bs-pure-black: #000000;

    --bs-primary-rgb: 0, 123, 255;
    --bs-success-rgb: 21, 195, 119;
    --bs-info-rgb: 72, 176, 247;
    --bs-warning-rgb: 250, 166, 75;
    --bs-danger-rgb: 244, 66, 54;
    --bs-teal-rgb: 51, 202, 187;
    --bs-indigo-rgb: 102, 16, 242;
    --bs-purple-rgb: 146, 109, 222;
    --bs-pink-rgb: 249, 97, 151;
    --bs-yellow-rgb: 252, 197, 37;
    --bs-cyan-rgb: 87, 199, 212;
    --bs-brown-rgb: 141, 102, 88;
    --bs-dark-rgb: 33, 37, 41;
    --bs-secondary-rgb: 108, 117, 125;
    --bs-light-rgb: 252, 253, 254;
    --bs-body-color-rgb: 73, 80, 87;
    --bs-gray-rgb: 108, 117, 125;
    --bs-font-sans-serif: system-ui, -apple-system, "Microsoft YaHei", "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --bs-body-font-size: 14px;
    --bs-body-line-height: 1.72;
    --bs-body-color: #495057;
    --bs-body-bg: #f4f5fa;
    --bs-border-color: #ededee;
    --bs-border-rgb: 237, 237, 238;
}
html,
body {
    height: 100%;
}

a {
    color: var(--bs-primary);
    text-decoration: none;
    -webkit-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
}

a:hover {
    color: var(--bs-primary-hover);
}

a:hover,
a:focus,
a:active {
    text-decoration: none;
    outline: none
}

a,
button,
a:focus,
a:active,
button:focus,
button:active,
.input-group-text:focus,
.input-group-text:active {
    outline: none !important;
}

hr {
    background-color: rgba(var(--bs-body-color-rgb), .1);
    opacity: 1;
}

pre {
    background-color: var(--bs-pre);
    border: none;
    padding: 15px;
    border-radius: 3px;
    font-size: inherit;
    color: var(--bs-pre-font);
}

img {
    max-width: 100%;
}
.overflow-x-hidden {
    overflow-x: hidden !important;
}
.overflow-y-hidden {
    overflow-y: hidden !important;
}
.card {
    border: none;
    border-radius: var(--border-radius-mini);
    margin-bottom: 1rem;
    -webkit-transition: .5s;
    -moz-transition: .5s;
    transition: .5s;
    -webkit-box-shadow: 0 0 4px rgba(var(--bs-dark-rgb), 0.075);
    -moz-box-shadow: 0 0 4px rgba(var(--bs-dark-rgb), 0.075);
    box-shadow: 0 0 4px rgba(var(--bs-dark-rgb), 0.075);
}

.card[class*="border-"] {
    border-width: 1px;
    border-style: solid;
}

.card-header {
    padding: 0.75rem 1.25rem;
    background-color: transparent;
    border-bottom: 1px solid var(--bs-border-color);
}

.card-header .card-title {
    margin-bottom: 0;
}

.card-header div.card-title {
    font-size: 16px;
}

.card-header>*:last-child {
    margin-right: 0;
}

.card>.card-header+.callout {
    background-color: var(--bs-light-hover);
    border-top-width: 0px;
    border-right-width: 0px;
    border-bottom-width: 0px;
}

.card-body {
    padding: 1.25rem;
}

.card-body>*:last-child {
    margin-bottom: 0;
}

.card-body>p:last-child {
    margin-bottom: 0;
}

.card-bordered {
    border: 1px solid var(--bs-gray-200);
}

.card-shadowed,
.card-hover-shadow:hover {
    -webkit-box-shadow: 0 0 25px rgba(var(--bs-dark-rgb), 0.375);
    box-shadow: 0 0 25px rgba(var(--bs-dark-rgb), 0.375);
}

.card-footer {
    background-color: var(--bs-light);
    border-top: 1px solid var(--bs-border-color);
    padding: 0.75rem 1rem;
}
.card-footer:last-child {
    border-radius: 0 0 var(--border-radius-mini) var(--border-radius-mini);
}

.card>.list-group {
    border-bottom: 1px solid var(--bs-border-color);
}

.card-header-tabs {
    margin-bottom: -0.75rem;
}

.card-actions {
    list-style-type: none;
    padding-left: 0;
    margin-bottom: 0;
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
    flex-direction: row-reverse;
}

.card-actions>li>a {
    display: inline-block;
    padding: 0 4px;
    margin: 0 4px;
    color: var(--bs-secondary);
    opacity: .8;
    -webkit-transition: 0.3s linear;
    transition: 0.3s linear;
}

.card-actions>li:first-child>a {
    margin-right: 0;
}

.card-actions>li>a>i {
    height: 20px;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    line-height: 20px;
}

.card-actions>li>a>.mdi {
    font-size: 18px;
}

.card-actions>li.dropdown {
    line-height: 26px;
}

.card-fullscreen {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin-bottom: 0 !important;
    z-index: 998;
}

.card-fullscreen .card-btn-fullscreen {
    color: var(--bs-primary);
}
/* 列表组 */
.list-group-item {
    color: var(--bs-body-color);
    border-color: var(--bs-border-color);
}

.list-group-item.active {
    border-color: var(--bs-primary);
    background-color: var(--bs-primary);
}
.form-control,
.form-select {
    font-size: 0.875rem;
    color: var(--bs-body-color);
    border-color: var(--bs-gray-300);
    padding: 0.4695rem 0.75rem;
    -webkit-border-radius: 0.125rem;
    border-radius: 0.125rem;
}

.form-select {
    padding: 0.4695rem 2.25rem 0.4695rem 0.75rem;
}

.form-control-plaintext:focus {
    box-shadow: none;
    outline: none;
}

.form-control:focus,
.form-select:focus {
    color: var(--bs-body-color);
    border-color: var(--bs-primary);
    box-shadow: 0 0 0 0.25rem rgba(var(--bs-primary-rgb), 0.25);
}

.form-control-lg,
.form-select-lg {
    font-size: 1.125rem;
}

.form-control-sm,
.form-select-sm {
    font-size: 0.625rem;
}
.btn {
    font-size: 14px;
    padding: 0.4695rem 0.75rem;
    -webkit-border-radius: 0.125rem;
    border-radius: 0.125rem;
}

.btn-mini {
    padding: 6px 14px;
}

.btn-check:focus+.btn,
.btn:focus {
    outline: 0;
    box-shadow: none;
}

.btn-w-xs {
    width: 80px;
}

.btn-w-sm {
    width: 100px;
}

.btn-w-md {
    width: 120px;
}

.btn-w-lg {
    width: 145px;
}

.btn-w-xl {
    width: 180px;
}

.btn-default {
    background-color: var(--bs-light);
    border-color: var(--bs-border-color);
    color: var(--bs-secondary) !important;
}

.btn-default:hover {
    background-color: var(--bs-light-hover);
    border-color: var(--bs-border-color);
    color: var(--bs-body-color);
}

.btn-default:focus,
.btn-default.focus {
    background-color: var(--bs-light-hover) !important;
    border-color: var(--bs-border-color) !important;
    color: var(--bs-body-color);
}

.btn-default:not([disabled]):not(.disabled).active,
.btn-default:not([disabled]):not(.disabled):active,
.show>.btn-default.dropdown-toggle {
    background-color: var(--bs-light-hover) !important;
    border-color: var(--bs-border-color) !important;
    color: var(--bs-body-color);
    -webkit-box-shadow: none;
    box-shadow: none
}

.btn-default:not(:disabled):not(.disabled):active:focus,
.btn-default:not(:disabled):not(.disabled).active:focus,
.show>.btn-default.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-default.disabled,
.btn-default:disabled {
    background-color: var(--bs-light);
    border-color: var(--bs-border-color);
    opacity: 0.5
}

.btn-primary {
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
}

.btn-primary:hover {
    background-color: var(--bs-primary-hover);
    border-color: var(--bs-primary-hover);
}

.btn-check:focus+.btn-primary,
.btn-primary:focus {
    background-color: var(--bs-primary-hover);
    border-color: var(--bs-primary-hover);
    box-shadow: none;
}

.btn-check:checked+.btn-primary,
.btn-check:active+.btn-primary,
.btn-primary:active,
.btn-primary.active,
.show>.btn-primary.dropdown-toggle {
    background-color: var(--bs-primary-hover);
    border-color: var(--bs-primary-hover);
}

.btn-check:checked+.btn-primary:focus,
.btn-check:active+.btn-primary:focus,
.btn-primary:active:focus,
.btn-primary.active:focus,
.show>.btn-primary.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-primary:disabled,
.btn-primary.disabled {
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
}

.btn-secondary {
    background-color: var(--bs-secondary);
    border-color: var(--bs-secondary);
}

.btn-secondary:hover {
    background-color: var(--bs-secondary-hover);
    border-color: var(--bs-secondary-hover);
}

.btn-check:focus+.btn-secondary,
.btn-secondary:focus {
    background-color: var(--bs-secondary-hover);
    border-color: var(--bs-secondary-hover);
    box-shadow: none;
}

.btn-check:checked+.btn-secondary,
.btn-check:active+.btn-secondary,
.btn-secondary:active,
.btn-secondary.active,
.show>.btn-secondary.dropdown-toggle {
    background-color: var(--bs-secondary-hover);
    border-color: var(--bs-secondary-hover);
}

.btn-check:checked+.btn-secondary:focus,
.btn-check:active+.btn-secondary:focus,
.btn-secondary:active:focus,
.btn-secondary.active:focus,
.show>.btn-secondary.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-success {
    background-color: var(--bs-success);
    border-color: var(--bs-success);
}

.btn-success:hover {
    background-color: var(--bs-success-hover);
    border-color: var(--bs-success-hover);
}

.btn-check:focus+.btn-success,
.btn-success:focus {
    background-color: var(--bs-success-hover);
    border-color: var(--bs-success-hover);
    box-shadow: none;
}

.btn-check:checked+.btn-success,
.btn-check:active+.btn-success,
.btn-success:active,
.btn-success.active,
.show>.btn-success.dropdown-toggle {
    background-color: var(--bs-success-hover);
    border-color: var(--bs-success-hover);
}

.btn-check:checked+.btn-success:focus,
.btn-check:active+.btn-success:focus,
.btn-success:active:focus,
.btn-success.active:focus,
.show>.btn-success.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-success:disabled,
.btn-success.disabled {
    background-color: var(--bs-success);
    border-color: var(--bs-success);
}

.btn-info {
    color: var(--bs-white);
    background-color: var(--bs-info);
    border-color: var(--bs-info);
}

.btn-info:hover {
    color: var(--bs-white);
    background-color: var(--bs-info-hover);
    border-color: var(--bs-info-hover);
}

.btn-check:focus+.btn-info,
.btn-info:focus {
    color: var(--bs-white);
    background-color: var(--bs-info-hover);
    border-color: var(--bs-info-hover);
    box-shadow: none;
}

.btn-check:checked+.btn-info,
.btn-check:active+.btn-info,
.btn-info:active,
.btn-info.active,
.show>.btn-info.dropdown-toggle {
    color: var(--bs-white);
    background-color: var(--bs-info-hover);
    border-color: var(--bs-info-hover);
}

.btn-check:checked+.btn-info:focus,
.btn-check:active+.btn-info:focus,
.btn-info:active:focus,
.btn-info.active:focus,
.show>.btn-info.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-info:disabled,
.btn-info.disabled {
    color: var(--bs-white);
    background-color: var(--bs-info);
    border-color: var(--bs-info);
}

.btn-warning {
    color: var(--bs-white);
    background-color: var(--bs-warning);
    border-color: var(--bs-warning);
}

.btn-warning:hover {
    color: var(--bs-white);
    background-color: var(--bs-warning-hover);
    border-color: var(--bs-warning-hover);
}

.btn-check:focus+.btn-warning,
.btn-warning:focus {
    color: var(--bs-white);
    background-color: var(--bs-warning-hover);
    border-color: var(--bs-warning-hover);
    box-shadow: none;
}

.btn-check:checked+.btn-warning,
.btn-check:active+.btn-warning,
.btn-warning:active,
.btn-warning.active,
.show>.btn-warning.dropdown-toggle {
    color: var(--bs-white);
    background-color: var(--bs-warning-hover);
    border-color: var(--bs-warning-hover);
}

.btn-check:checked+.btn-warning:focus,
.btn-check:active+.btn-warning:focus,
.btn-warning:active:focus,
.btn-warning.active:focus,
.show>.btn-warning.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-warning:disabled,
.btn-warning.disabled {
    color: var(--bs-white);
    background-color: var(--bs-warning);
    border-color: var(--bs-warning);
}

.btn-danger {
    background-color: var(--bs-danger);
    border-color: var(--bs-danger);
}

.btn-danger:hover {
    background-color: var(--bs-danger-hover);
    border-color: var(--bs-danger-hover);
}

.btn-check:focus+.btn-danger,
.btn-danger:focus {
    background-color: var(--bs-danger-hover);
    border-color: var(--bs-danger-hover);
    box-shadow: none;
}

.btn-check:checked+.btn-danger,
.btn-check:active+.btn-danger,
.btn-danger:active,
.btn-danger.active,
.show>.btn-danger.dropdown-toggle {
    background-color: var(--bs-danger-hover);
    border-color: var(--bs-danger-hover);
}

.btn-check:checked+.btn-danger:focus,
.btn-check:active+.btn-danger:focus,
.btn-danger:active:focus,
.btn-danger.active:focus,
.show>.btn-danger.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-danger:disabled,
.btn-danger.disabled {
    background-color: var(--bs-danger);
    border-color: var(--bs-danger);
}

.btn-check:focus+.btn-light,
.btn-light:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-light:focus,
.btn-check:active+.btn-light:focus,
.btn-light:active:focus,
.btn-light.active:focus,
.show>.btn-light.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-dark {
    color: var(--bs-white);
    background-color: var(--bs-dark);
    border-color: var(--bs-dark);
}

.btn-dark:hover {
    background-color: var(--bs-dark-hover);
    border-color: var(--bs-dark-hover);
}

.btn-check:focus+.btn-dark,
.btn-dark:focus {
    background-color: var(--bs-dark-hover);
    border-color: var(--bs-dark-hover);
    box-shadow: none;
}

.btn-check:checked+.btn-dark,
.btn-check:active+.btn-dark,
.btn-dark:active,
.btn-dark.active,
.show>.btn-dark.dropdown-toggle {
    background-color: var(--bs-dark-hover);
    border-color: var(--bs-dark-hover);
}

.btn-check:checked+.btn-dark:focus,
.btn-check:active+.btn-dark:focus,
.btn-dark:active:focus,
.btn-dark.active:focus,
.show>.btn-dark.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-purple {
    color: var(--bs-white);
    background-color: var(--bs-purple);
    border-color: var(--bs-purple);
}

.btn-purple:hover {
    color: var(--bs-white);
    background-color: var(--bs-purple-hover);
    border-color: var(--bs-purple-hover);
}

.btn-check:focus+.btn-purple,
.btn-purple:focus {
    color: var(--bs-white);
    background-color: var(--bs-purple-hover);
    border-color: var(--bs-purple-hover);
    box-shadow: none;
}

.btn-check:checked+.btn-purple,
.btn-check:active+.btn-purple,
.btn-purple:active,
.btn-purple.active,
.show>.btn-purple.dropdown-toggle {
    color: var(--bs-white);
    background-color: var(--bs-purple-hover);
    border-color: var(--bs-purple-hover);
}

.btn-check:checked+.btn-purple:focus,
.btn-check:active+.btn-purple:focus,
.btn-purple:active:focus,
.btn-purple.active:focus,
.show>.btn-purple.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-purple:disabled,
.btn-purple.disabled {
    color: var(--bs-white);
    background-color: var(--bs-purple);
    border-color: var(--bs-purple);
}

.btn-pink {
    color: var(--bs-white);
    background-color: var(--bs-pink);
    border-color: var(--bs-pink);
}

.btn-pink:hover {
    color: var(--bs-white);
    background-color: var(--bs-pink-hover);
    border-color: var(--bs-pink-hover);
}

.btn-check:focus+.btn-pink,
.btn-pink:focus {
    color: var(--bs-white);
    background-color: var(--bs-pink-hover);
    border-color: var(--bs-pink-hover);
    box-shadow: none;
}

.btn-check:checked+.btn-pink,
.btn-check:active+.btn-pink,
.btn-pink:active,
.btn-pink.active,
.show>.btn-pink.dropdown-toggle {
    color: var(--bs-white);
    background-color: var(--bs-pink-hover);
    border-color: var(--bs-pink-hover);
}

.btn-check:checked+.btn-pink:focus,
.btn-check:active+.btn-pink:focus,
.btn-pink:active:focus,
.btn-pink.active:focus,
.show>.btn-pink.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-pink:disabled,
.btn-pink.disabled {
    color: var(--bs-white);
    background-color: var(--bs-pink);
    border-color: var(--bs-pink);
}

.btn-cyan {
    color: var(--bs-white);
    background-color: var(--bs-cyan);
    border-color: var(--bs-cyan);
}

.btn-cyan:hover {
    color: var(--bs-white);
    background-color: var(--bs-cyan-hover);
    border-color: var(--bs-cyan-hover);
}

.btn-check:focus+.btn-cyan,
.btn-cyan:focus {
    color: var(--bs-white);
    background-color: var(--bs-cyan-hover);
    border-color: var(--bs-cyan-hover);
    box-shadow: none;
}

.btn-check:checked+.btn-cyan,
.btn-check:active+.btn-cyan,
.btn-cyan:active,
.btn-cyan.active,
.show>.btn-cyan.dropdown-toggle {
    color: var(--bs-white);
    background-color: var(--bs-cyan-hover);
    border-color: var(--bs-cyan-hover);
}

.btn-check:checked+.btn-cyan:focus,
.btn-check:active+.btn-cyan:focus,
.btn-cyan:active:focus,
.btn-cyan.active:focus,
.show>.btn-cyan.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-cyan:disabled,
.btn-cyan.disabled {
    color: var(--bs-white);
    background-color: var(--bs-cyan);
    border-color: var(--bs-cyan);
}

.btn-yellow {
    color: var(--bs-white);
    background-color: var(--bs-yellow);
    border-color: var(--bs-yellow);
}

.btn-yellow:hover {
    color: var(--bs-white);
    background-color: var(--bs-yellow-hover);
    border-color: var(--bs-yellow-hover);
}

.btn-check:focus+.btn-yellow,
.btn-yellow:focus {
    color: var(--bs-white);
    background-color: var(--bs-yellow-hover);
    border-color: var(--bs-yellow-hover);
    box-shadow: none;
}

.btn-check:checked+.btn-yellow,
.btn-check:active+.btn-yellow,
.btn-yellow:active,
.btn-yellow.active,
.show>.btn-yellow.dropdown-toggle {
    color: var(--bs-white);
    background-color: var(--bs-yellow-hover);
    border-color: var(--bs-yellow-hover);
}

.btn-check:checked+.btn-yellow:focus,
.btn-check:active+.btn-yellow:focus,
.btn-yellow:active:focus,
.btn-yellow.active:focus,
.show>.btn-yellow.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-yellow:disabled,
.btn-yellow.disabled {
    color: var(--bs-white);
    background-color: var(--bs-yellow);
    border-color: var(--bs-yellow);
}

.btn-indigo {
    color: var(--bs-white);
    background-color: var(--bs-indigo);
    border-color: var(--bs-indigo);
}

.btn-indigo:hover {
    color: var(--bs-white);
    background-color: var(--bs-indigo-hover);
    border-color: var(--bs-indigo-hover);
}

.btn-check:focus+.btn-indigo,
.btn-indigo:focus {
    color: var(--bs-white);
    background-color: var(--bs-indigo-hover);
    border-color: var(--bs-indigo-hover);
    box-shadow: none;
}

.btn-check:checked+.btn-indigo,
.btn-check:active+.btn-indigo,
.btn-indigo:active,
.btn-indigo.active,
.show>.btn-indigo.dropdown-toggle {
    color: var(--bs-white);
    background-color: var(--bs-indigo-hover);
    border-color: var(--bs-indigo-hover);
}

.btn-check:checked+.btn-indigo:focus,
.btn-check:active+.btn-indigo:focus,
.btn-indigo:active:focus,
.btn-indigo.active:focus,
.show>.btn-indigo.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-indigo:disabled,
.btn-indigo.disabled {
    color: var(--bs-white);
    background-color: var(--bs-indigo);
    border-color: var(--bs-indigo);
}

.btn-brown {
    color: var(--bs-white);
    background-color: var(--bs-brown);
    border-color: var(--bs-brown);
}

.btn-brown:hover {
    color: var(--bs-white);
    background-color: var(--bs-brown-hover);
    border-color: var(--bs-brown-hover);
}

.btn-check:focus+.btn-brown,
.btn-brown:focus {
    color: var(--bs-white);
    background-color: var(--bs-brown-hover);
    border-color: var(--bs-brown-hover);
    box-shadow: none;
}

.btn-check:checked+.btn-brown,
.btn-check:active+.btn-brown,
.btn-brown:active,
.btn-brown.active,
.show>.btn-brown.dropdown-toggle {
    color: var(--bs-white);
    background-color: var(--bs-brown-hover);
    border-color: var(--bs-brown-hover);
}

.btn-check:checked+.btn-brown:focus,
.btn-check:active+.btn-brown:focus,
.btn-brown:active:focus,
.btn-brown.active:focus,
.show>.btn-brown.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-brown:disabled,
.btn-brown.disabled {
    color: var(--bs-white);
    background-color: var(--bs-brown);
    border-color: var(--bs-brown);
}

.btn-teal {
    color: var(--bs-white);
    background-color: var(--bs-teal);
    border-color: var(--bs-teal);
}

.btn-teal:hover {
    color: var(--bs-white);
    background-color: var(--bs-teal-hover);
    border-color: var(--bs-teal-hover);
}

.btn-check:focus+.btn-teal,
.btn-teal:focus {
    color: var(--bs-white);
    background-color: var(--bs-teal-hover);
    border-color: var(--bs-teal-hover);
    box-shadow: none;
}

.btn-check:checked+.btn-teal,
.btn-check:active+.btn-teal,
.btn-teal:active,
.btn-teal.active,
.show>.btn-teal.dropdown-toggle {
    color: var(--bs-white);
    background-color: var(--bs-teal-hover);
    border-color: var(--bs-teal-hover);
}

.btn-check:checked+.btn-teal:focus,
.btn-check:active+.btn-teal:focus,
.btn-teal:active:focus,
.btn-teal.active:focus,
.show>.btn-teal.dropdown-toggle:focus {
    box-shadow: none;
}

.btn-teal:disabled,
.btn-teal.disabled {
    color: var(--bs-white);
    background-color: var(--bs-teal);
    border-color: var(--bs-teal);
}

.btn-outline-primary {
    color: var(--bs-primary);
    border-color: var(--bs-primary);
}

.btn-outline-primary:hover {
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
}

.btn-check:focus+.btn-outline-primary,
.btn-outline-primary:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-primary,
.btn-check:active+.btn-outline-primary,
.btn-outline-primary:active,
.btn-outline-primary.active,
.btn-outline-primary.dropdown-toggle.show {
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
}

.btn-check:checked+.btn-outline-primary:focus,
.btn-check:active+.btn-outline-primary:focus,
.btn-outline-primary:active:focus,
.btn-outline-primary.active:focus,
.btn-outline-primary.dropdown-toggle.show:focus {
    box-shadow: none;
}

.btn-outline-primary:disabled,
.btn-outline-primary.disabled {
    color: var(--bs-primary);
}

.btn-check:focus+.btn-outline-secondary,
.btn-outline-secondary:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-secondary:focus,
.btn-check:active+.btn-outline-secondary:focus,
.btn-outline-secondary:active:focus,
.btn-outline-secondary.active:focus,
.btn-outline-secondary.dropdown-toggle.show:focus {
    box-shadow: none;
}

.btn-outline-success {
    color: var(--bs-success);
    border-color: var(--bs-success);
}

.btn-outline-success:hover {
    background-color: var(--bs-success);
    border-color: var(--bs-success);
}

.btn-check:focus+.btn-outline-success,
.btn-outline-success:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-success,
.btn-check:active+.btn-outline-success,
.btn-outline-success:active,
.btn-outline-success.active,
.btn-outline-success.dropdown-toggle.show {
    background-color: var(--bs-success);
    border-color: var(--bs-success);
}

.btn-check:checked+.btn-outline-success:focus,
.btn-check:active+.btn-outline-success:focus,
.btn-outline-success:active:focus,
.btn-outline-success.active:focus,
.btn-outline-success.dropdown-toggle.show:focus {
    box-shadow: none;
}

.btn-outline-success:disabled,
.btn-outline-success.disabled {
    color: var(--bs-success);
}

.btn-outline-info {
    color: var(--bs-info);
    border-color: var(--bs-info);
}

.btn-outline-info:hover {
    color: var(--bs-white);
    background-color: var(--bs-info);
    border-color: var(--bs-info);
}

.btn-check:focus+.btn-outline-info,
.btn-outline-info:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-info,
.btn-check:active+.btn-outline-info,
.btn-outline-info:active,
.btn-outline-info.active,
.btn-outline-info.dropdown-toggle.show {
    color: var(--bs-white);
    background-color: var(--bs-info);
    border-color: var(--bs-info);
}

.btn-check:checked+.btn-outline-info:focus,
.btn-check:active+.btn-outline-info:focus,
.btn-outline-info:active:focus,
.btn-outline-info.active:focus,
.btn-outline-info.dropdown-toggle.show:focus {
    box-shadow: none;
}

.btn-outline-info:disabled,
.btn-outline-info.disabled {
    color: var(--bs-info);
    background-color: transparent;
}

.btn-outline-warning {
    color: var(--bs-warning);
    border-color: var(--bs-warning);
}

.btn-outline-warning:hover {
    color: var(--bs-white);
    background-color: var(--bs-warning);
    border-color: var(--bs-warning);
}

.btn-check:focus+.btn-outline-warning,
.btn-outline-warning:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-warning,
.btn-check:active+.btn-outline-warning,
.btn-outline-warning:active,
.btn-outline-warning.active,
.btn-outline-warning.dropdown-toggle.show {
    color: var(--bs-white);
    background-color: var(--bs-warning);
    border-color: var(--bs-warning);
}

.btn-check:checked+.btn-outline-warning:focus,
.btn-check:active+.btn-outline-warning:focus,
.btn-outline-warning:active:focus,
.btn-outline-warning.active:focus,
.btn-outline-warning.dropdown-toggle.show:focus {
    box-shadow: 0 0 0 0.25rem rgba(var(--bs-warning-rgb), 0.5);
}

.btn-outline-warning:disabled,
.btn-outline-warning.disabled {
    color: var(--bs-warning);
}

.btn-outline-danger {
    color: var(--bs-danger);
    border-color: var(--bs-danger);
}

.btn-outline-danger:hover {
    background-color: var(--bs-danger);
    border-color: var(--bs-danger);
}

.btn-check:focus+.btn-outline-danger,
.btn-outline-danger:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-danger,
.btn-check:active+.btn-outline-danger,
.btn-outline-danger:active,
.btn-outline-danger.active,
.btn-outline-danger.dropdown-toggle.show {
    background-color: var(--bs-danger);
    border-color: var(--bs-danger);
}

.btn-check:checked+.btn-outline-danger:focus,
.btn-check:active+.btn-outline-danger:focus,
.btn-outline-danger:active:focus,
.btn-outline-danger.active:focus,
.btn-outline-danger.dropdown-toggle.show:focus {
    box-shadow: none;
}

.btn-outline-danger:disabled,
.btn-outline-danger.disabled {
    color: var(--bs-danger);
}

.btn-check:focus+.btn-outline-light,
.btn-outline-light:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-light:focus,
.btn-check:active+.btn-outline-light:focus,
.btn-outline-light:active:focus,
.btn-outline-light.active:focus,
.btn-outline-light.dropdown-toggle.show:focus {
    box-shadow: none;
}

.btn-check:focus+.btn-outline-dark,
.btn-outline-dark:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-dark:focus,
.btn-check:active+.btn-outline-dark:focus,
.btn-outline-dark:active:focus,
.btn-outline-dark.active:focus,
.btn-outline-dark.dropdown-toggle.show:focus {
    box-shadow: none;
}

.btn-outline-purple {
    color: var(--bs-purple);
    border-color: var(--bs-purple);
}

.btn-outline-purple:hover {
    background-color: var(--bs-purple);
    border-color: var(--bs-purple);
    color: var(--bs-white);
}

.btn-check:focus+.btn-outline-purple,
.btn-outline-purple:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-purple,
.btn-check:active+.btn-outline-purple,
.btn-outline-purple:active,
.btn-outline-purple.active,
.btn-outline-purple.dropdown-toggle.show {
    background-color: var(--bs-purple);
    border-color: var(--bs-purple);
}

.btn-check:checked+.btn-outline-purple:focus,
.btn-check:active+.btn-outline-purple:focus,
.btn-outline-purple:active:focus,
.btn-outline-purple.active:focus,
.btn-outline-purple.dropdown-toggle.show:focus {
    box-shadow: none;
}

.btn-outline-purple:disabled,
.btn-outline-purple.disabled {
    color: var(--bs-purple);
}

.btn-outline-pink {
    color: var(--bs-pink);
    border-color: var(--bs-pink);
}

.btn-outline-pink:hover {
    background-color: var(--bs-pink);
    border-color: var(--bs-pink);
    color: var(--bs-white);
}

.btn-check:focus+.btn-outline-pink,
.btn-outline-pink:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-pink,
.btn-check:active+.btn-outline-pink,
.btn-outline-pink:active,
.btn-outline-pink.active,
.btn-outline-pink.dropdown-toggle.show {
    background-color: var(--bs-pink);
    border-color: var(--bs-pink);
}

.btn-check:checked+.btn-outline-pink:focus,
.btn-check:active+.btn-outline-pink:focus,
.btn-outline-pink:active:focus,
.btn-outline-pink.active:focus,
.btn-outline-pink.dropdown-toggle.show:focus {
    box-shadow: none;
}

.btn-outline-pink:disabled,
.btn-outline-pink.disabled {
    color: var(--bs-pink);
}

.btn-outline-cyan {
    color: var(--bs-cyan);
    border-color: var(--bs-cyan);
}

.btn-outline-cyan:hover {
    background-color: var(--bs-cyan);
    border-color: var(--bs-cyan);
    color: var(--bs-white);
}

.btn-check:focus+.btn-outline-cyan,
.btn-outline-cyan:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-cyan,
.btn-check:active+.btn-outline-cyan,
.btn-outline-cyan:active,
.btn-outline-cyan.active,
.btn-outline-cyan.dropdown-toggle.show {
    background-color: var(--bs-cyan);
    border-color: var(--bs-cyan);
}

.btn-check:checked+.btn-outline-cyan:focus,
.btn-check:active+.btn-outline-cyan:focus,
.btn-outline-cyan:active:focus,
.btn-outline-cyan.active:focus,
.btn-outline-cyan.dropdown-toggle.show:focus {
    box-shadow: none;
}

.btn-outline-cyan:disabled,
.btn-outline-cyan.disabled {
    color: var(--bs-cyan);
}

.btn-outline-yellow {
    color: var(--bs-yellow);
    border-color: var(--bs-yellow);
}

.btn-outline-yellow:hover {
    background-color: var(--bs-yellow);
    border-color: var(--bs-yellow);
    color: var(--bs-white);
}

.btn-check:focus+.btn-outline-yellow,
.btn-outline-yellow:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-yellow,
.btn-check:active+.btn-outline-yellow,
.btn-outline-yellow:active,
.btn-outline-yellow.active,
.btn-outline-yellow.dropdown-toggle.show {
    background-color: var(--bs-yellow);
    border-color: var(--bs-yellow);
}

.btn-check:checked+.btn-outline-yellow:focus,
.btn-check:active+.btn-outline-yellow:focus,
.btn-outline-yellow:active:focus,
.btn-outline-yellow.active:focus,
.btn-outline-yellow.dropdown-toggle.show:focus {
    box-shadow: none;
}

.btn-outline-yellow:disabled,
.btn-outline-yellow.disabled {
    color: var(--bs-yellow);
}

.btn-outline-brown {
    color: var(--bs-brown);
    border-color: var(--bs-brown);
}

.btn-outline-brown:hover {
    background-color: var(--bs-brown);
    border-color: var(--bs-brown);
    color: var(--bs-white);
}

.btn-check:focus+.btn-outline-brown,
.btn-outline-brown:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-brown,
.btn-check:active+.btn-outline-brown,
.btn-outline-brown:active,
.btn-outline-brown.active,
.btn-outline-brown.dropdown-toggle.show {
    background-color: var(--bs-brown);
    border-color: var(--bs-brown);
}

.btn-check:checked+.btn-outline-brown:focus,
.btn-check:active+.btn-outline-brown:focus,
.btn-outline-brown:active:focus,
.btn-outline-brown.active:focus,
.btn-outline-brown.dropdown-toggle.show:focus {
    box-shadow: none;
}

.btn-outline-brown:disabled,
.btn-outline-brown.disabled {
    color: var(--bs-brown);
}

.btn-outline-indigo {
    color: var(--bs-indigo);
    border-color: var(--bs-indigo);
}

.btn-outline-indigo:hover {
    background-color: var(--bs-indigo);
    border-color: var(--bs-indigo);
    color: var(--bs-white);
}

.btn-check:focus+.btn-outline-indigo,
.btn-outline-indigo:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-indigo,
.btn-check:active+.btn-outline-indigo,
.btn-outline-indigo:active,
.btn-outline-indigo.active,
.btn-outline-indigo.dropdown-toggle.show {
    background-color: var(--bs-indigo);
    border-color: var(--bs-indigo);
}

.btn-check:checked+.btn-outline-indigo:focus,
.btn-check:active+.btn-outline-indigo:focus,
.btn-outline-indigo:active:focus,
.btn-outline-indigo.active:focus,
.btn-outline-indigo.dropdown-toggle.show:focus {
    box-shadow: none;
}

.btn-outline-indigo:disabled,
.btn-outline-indigo.disabled {
    color: var(--bs-indigo);
}

.btn-outline-teal {
    color: var(--bs-teal);
    border-color: var(--bs-teal);
}

.btn-outline-teal:hover {
    background-color: var(--bs-teal);
    border-color: var(--bs-teal);
    color: var(--bs-white);
}

.btn-check:focus+.btn-outline-teal,
.btn-outline-teal:focus {
    box-shadow: none;
}

.btn-check:checked+.btn-outline-teal,
.btn-check:active+.btn-outline-teal,
.btn-outline-teal:active,
.btn-outline-teal.active,
.btn-outline-teal.dropdown-toggle.show {
    background-color: var(--bs-teal);
    border-color: var(--bs-teal);
}

.btn-check:checked+.btn-outline-teal:focus,
.btn-check:active+.btn-outline-teal:focus,
.btn-outline-teal:active:focus,
.btn-outline-teal.active:focus,
.btn-outline-teal.dropdown-toggle.show:focus {
    box-shadow: none;
}

.btn-outline-teal:disabled,
.btn-outline-teal.disabled {
    color: var(--bs-teal);
}

.btn-lg,
.btn-group-lg>.btn {
    padding: 0.5rem 1rem;
    font-size: 1.25rem;
}

.btn-sm,
.btn-group-sm>.btn {
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
}

.btn-sm+.dropdown-toggle-split,
.btn-group-sm>.btn+.dropdown-toggle-split {
    padding-right: 0.375rem;
    padding-left: 0.375rem;
}

.btn-lg+.dropdown-toggle-split,
.btn-group-lg>.btn+.dropdown-toggle-split {
    padding-right: 0.75rem;
    padding-left: 0.75rem;
}

.btn-round {
    -webkit-border-radius: 10rem;
    border-radius: 10rem;
}

.btn-label {
    position: relative;
    padding-left: 52px;
    overflow: hidden;
}

.btn-label label {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 36px;
    line-height: 1.5;
    padding-top: 4px;
    padding-bottom: 5px;
    background-color: rgba(var(--bs-dark-rgb), 0.1);
    cursor: pointer;
    margin-bottom: 0;
}

.btn-label label i {
    font-size: 16px;
}
.input-group-text {
    background: var(--bs-light-hover);
}
.dropdown-menu {
    font-size: 14px;
    border-radius: 0;
    border: none;
    -webkit-box-shadow: 0 3px 8px rgb(var(--bs-dark-rgb), .1), 0 0 1px rgb(var(--bs-dark-rgb), .15);
    box-shadow: 0 3px 8px rgb(var(--bs-dark-rgb), .1), 0 0 1px rgb(var(--bs-dark-rgb), .15);
}
.dropdown-notice .dropdown-menu {
    min-width: 200px;
    max-width: 280px;
}

.dropdown-notice .badge {
    font-size: .5em;
    top: 25px;
}

.dropdown-notice .dropdown-item {
    text-overflow: ellipsis;
    overflow: hidden;
    word-break: break-all;
}

.dropdown-notice .lyear-notifications-title {
    padding: 5px 15px 10px 15px;
    border-bottom: 1px solid var(--bs-border-color);
}

.dropdown-notice .lyear-notifications-info {
    position: relative;
    height: 200px;
    max-height: 200px;
    margin: 0;
    padding: 0;
}
.bg-user {
    min-height: 100vh;
    background-color: #F4F7FE;
    padding-top: 75px!important;
}
.bg-user .user-mobile {
    color: #E4C6FF!important;
}
.user-center-info {

    padding-top: .725rem!important;
}
.gradient-bg {
    border-radius: 12px;
    padding: 20px 10px 20px 20px;
    background:
        /* 主水平渐变 */
            linear-gradient(90deg,
            #9340FF 0%,
            #8C44FF 25%,
            #7453F9 50%,
            #4287FE 75%,
            #27A3FD 100%),
                /* 垂直渐变层 */
            linear-gradient(180deg,
            rgba(147, 64, 255, 0.7) 0%,
            rgba(255, 255, 255, 0.3) 100%);
}
.logout-btn {
    font-size: 16px;
    display: block;
}
.tongji {
    --bs-gutter-x: 0.5rem;
}
.user-center-info {
    background: url("../img/bg.jpg") no-repeat top center;
    background-size: cover;
}
.user-center-info .rounded-circle {
    border: 2px solid #fff;
}
.list-header {
    position: fixed;
    display: block;
    width: 100%;
    font-size: 16px;
    height: 55px;
    line-height: 55px;
    font-weight: bold;
    background: #fff;
    margin-bottom: 20px;
    z-index: 99;
    -webkit-box-shadow: 0 0 4px rgba(var(--bs-dark-rgb), 0.075);
    -moz-box-shadow: 0 0 4px rgba(var(--bs-dark-rgb), 0.075);
    box-shadow: 0 0 4px rgba(var(--bs-dark-rgb), 0.075);
}
.bg-left {
    box-shadow: none;
    background-color: #F8EADD!important;
    color: #B04D2E;
}
.bg-right {
    box-shadow: none;
    background-color: #C5EAFD!important;
    color: #164DE3;
}
.go-back {
    position: absolute;
    left: 22px;
    top: 22px;
}
.add-btn {
    height: 40px;
    width: 40px;
    border-radius: 100%;
    background: #007bff;
    position: fixed;
    bottom: 10px;
    right: 10px;
    text-align: center;
    line-height: 38px;
    -webkit-box-shadow: 0 0 4px rgba(var(--bs-dark-rgb), 0.075);
    -moz-box-shadow: 0 0 4px rgba(var(--bs-dark-rgb), 0.075);
    box-shadow: 0 0 4px rgba(var(--bs-dark-rgb), 0.075);
}
.list-group-flush>.list-group-item {
    padding: 0.75rem 1rem;
}
.logout-btn {
    position: fixed;
    left: 1rem;
    right: 1rem;
    bottom: 10px;
}
.baodan-btn {
    display: inline-block;
    border-radius: 50%;
    width: 150px;
    height: 150px;
    padding: 32px;
    text-align: center;
    font-size: 26px;
    color: var(--bs-body-color);
    background: #fff;
    -webkit-box-shadow: 0 0 4px rgba(var(--bs-dark-rgb), 0.075);
    -moz-box-shadow: 0 0 4px rgba(var(--bs-dark-rgb), 0.075);
    box-shadow: 0 0 4px rgba(var(--bs-dark-rgb), 0.075);
}
.report-btn {
    padding: 3px 30px;
    font-size: 18px;
    color: #fff;
    border: none;
    border-radius: 25px;
    background: linear-gradient(90deg, #4cd964 0%, #2ecc71 100%);
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: 0 2px 8px rgba(46, 204, 113, 0.3);
}
.report-btn:hover {
    background: linear-gradient(90deg, #34c759 0%, #27ae60 100%);
    box-shadow: 0 4px 12px rgba(46, 204, 113, 0.4);
    color: #fff;
}
/**
 * 用户中心数据分页
 */
.pagination li a,
.pagination li span {
    position: relative;
    display: block;
    text-decoration: none;
    background-color: #fff;
    border: 1px solid #dee2e6;
    margin-right: 6px;
    border-radius: 0.125rem !important;
    color: var(--bs-gray);
    padding: .375rem .75rem;
    white-space: nowrap;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.pagination li a:hover {
    color: var(--bs-body-color);
    background-color: var(--bs-light-hover);
}

.pagination li a:focus {
    color: var(--bs-body-color);
    box-shadow: none;
    background-color: var(--bs-light-hover);
}

.pagination li.active a,
.pagination li.active span {
    color: #fff;
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
}

.pagination li.disabled a,
.pagination li.disabled span {
    opacity: .6;
}

.pagination li:last-child a {
    margin-right: 0px;
}

.pagination-sm .pagination li a {
    border-radius: 0.1rem !important;
}

.pagination-lg .pagination li a {
    border-radius: 0.15rem !important;
}

.phase-name {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 15px;
    padding-left: 10px;
    border-left: 4px solid var(--bs-primary);
}
.phase-box {
    margin-bottom: 2rem;
}
.lyear-divider {
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-flex: 0;
    flex: 0 1;
    color: #4d5259;
    font-size: 14px;
    letter-spacing: .5px;
    margin: 1rem auto;
    width: 100%;
}
.lyear-divider::before,
.lyear-divider::after {
    content: '';
    -webkit-box-flex: 1;
    flex-grow: 1;
    border-top: 1px solid rgba(77, 82, 89, 0.07);
}
.lyear-divider::before {
    margin-right: 15px;
}
.lyear-divider::after {
    margin-left: 15px;
}

.gradient-ring {
    position: relative;
    width: 120px;
    height: 120px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.gradient-ring-orange {
    background: conic-gradient(
            from 0deg,
            #F4721B,
            #FE5512,
            #FB5A33,
            #FE8051,
            #F8A765,
            #FE9A55
    );
}
.gradient-ring-blue {
    background: conic-gradient(
            from 0deg,
            #1290F4,
            #0C78FF,
            #0A7DFB,
            #2FA8FD,
            #5DC6F9,
            #52B6F3
    );
}

/* 中间的圆形 */
.gradient-ring::before {
    content: '';
    position: absolute;
    width: 85px;
    height: 85px;
    border-radius: 50%;
    z-index: 1;
}
.gradient-ring-orange::before {
    background-color: #FFA874;
}
.gradient-ring-blue::before {
    background-color: #73C9FB;
}

.large-text {
    margin-top: 25px;
    font-size: 32px;
    line-height: 46px;
}

.small-text {
    font-weight: 700;
    color: #FFF9DD;
}

/* 文字内容 */
.ring-content {
    position: relative;
    z-index: 2;
    text-align: center;
}

/* 圆环厚度控制 */
.gradient-ring::before {
    width: 85px;  /* 控制圆环厚度 */
    height: 85px;
}